id: proton-phish

info:
  name: proton phishing Detection
  author: rxerium
  severity: info
  description: |
    A proton phishing website was detected
  reference:
    - https://proton.me
  metadata:
    max-request: 1
  tags: phishing,proton,osint
http:
  - method: GET
    path:
      - "{{BaseURL}}"

    host-redirects: true
    max-redirects: 2

    matchers-condition: and
    matchers:
      - type: word
        words:
          - 'Proton Account: Sign-in'

      - type: status
        status:
          - 200

      - type: dsl
        dsl:
          - '!contains(host,"proton.me")'
# digest: 4a0a00473045022100ac111dc77bddd8013453edf9d17997338e7c8145b037a715e339ddb082c326530220148c16b5e13b180c4561eb0428c355ac2d0c31b66552341acaa3dc7f75adf955:922c64590222798bb761d5b6d8e72950